package com.ningdatech.pmapi.meta.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

/**
 * @author liuxinxin
 * @date 2022/7/21 下午6:08
 */
@AllArgsConstructor
@Getter
public enum DictAllTypeEnum {

    //    政治面貌
    POLITICAL("political"),
    //    专家来源
    EXPERT_SOURCE("expert_source"),
    //    学历
    EDU("edu"),
    //    学位
    DEGREE("degree"),
    //    在职状态
    JOB_STATUS("job_status"),
    //    行政职级
    ADMINISTRATIVE_RANK("administrative_rank"),
    //    内外围（专家类型）
    EXPERT_TYPE("expert_type"),
    //    单位类型
    COMPANY_ATTRIBUTE("company_attribute"),
    //    职称级别
    TITLE_LEVEL("title_level"),
    // 通知类型
    NOTICE_TYPE("notice_type"),
    // 会议类型
    MEETING_TYPE("meeting_type");

    private final String key;


    public static boolean contains(String key) {
        if (StringUtils.isBlank(key)) {
            return false;
        }
        for (DictAllTypeEnum typeEnum : DictAllTypeEnum.values()) {
            if (typeEnum.key.equals(key)) {
                return true;
            }
        }
        return false;
    }

}
